<?php

/*
 * Title:       SrPago Payment Gateway
 * Author:      Roberto Ramírez
 * URL:         https://www.srpago.com
 */

/**
 * @var \Magento\Payment\Block\Info $block
 * @see \Magento\Payment\Block\Info
 */

$title = $block->escapeHtml($block->getMethod()->getTitle());
$data = $block->getOfflineInfo();

$type = $data['type'];
// var_dump($data);
// print_r($data);
// die('--');

$instructions = $block->getInstructions();
?>

<dl class="payment-method">
    <dt class="title"><?php /* @noEscape */ echo $title; ?></dt>
    <dd class="content">
        <p><strong><?php echo __('Instructions:'); ?></strong></p>

        <p><?php echo $instructions; ?></p>

        <table class="data" style="margin: 0; -webkit-margin-start: 0;">
            <tbody>
                <?php if ('srpagopayments_cash' == $type): ?>
                    <tr>
                        <td>
                            <strong><?php echo __('Referencia:'); ?></strong>
                            <br />
                        </td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
    </dd>
</dl>

<?php echo $block->getChildHtml(); ?>
